#pragma once
#include "v3.h"
#include "m3x3.h"

#include "framebuffer.h"

class Triangle {

public:
  V3 color;
  V3 colors[3];
  V3 verts[3];
  float tcs[6];
  Triangle() {};
  void Rasterize(FrameBuffer *fb, FrameBuffer *texture = 0);
  void DrawWireFrame(FrameBuffer *fb);
  V3 SetEdgeEquation(int ei);
  void SetSSIM(M3x3 &ssim);
};